@charset "UTF-8";
/** ヘッダー css */

/* 色 */
header {
  background-color: var(--tea-op90);
  color: #fff;
  letter-spacing: 0.1em;
}
header > .r-box [onclick*="signout"]:hover,
header > .m-box dl:hover dt,
header > .m-box dd {
  background-color: var(--tea-tn);
}
header {
  height: 45px;
  position: relative;
  display: flex;
  padding: 0 12px;
  align-items: center;
}
header [onclick], header [onclick] a {
  cursor: pointer;
  color: #fff;
}
header [onclick], header [onclick] a:hover {
  text-decoration: none;
}

/* 左側 */
header > .l-box {
  flex-basis: 15%;
  position: relative;
}
header > .l-box > div:first-of-type {
  font-size: 28px;
  letter-spacing: 0.1em;
}
header > .l-box .ver {
  position: absolute;
  bottom: 0;
  right: 12px;
  font-size: 11px;
  opacity: 0.8;
  letter-spacing: 0;
}
header > .l-box .ver::before {
  content: 'ver';
  margin-right: 0.2em;
}

/* 右側 */
header > .r-box {
  flex-basis: 20%;
  margin-left: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
header > .r-box [onclick*="signout"] {
  padding: 12px 4px 12px 6px;
  border-radius: 4px;
  font-size: 16px;
  cursor: pointer;
}
header > .r-box [onclick*="signout"] a::before {
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
  content: '\f2f5';
}

/* メニュー */
header > .m-box {
  display: flex;
}
header > .m-box dt {
  min-width: 100px;
  border-radius: 6px 6px 0 0;
}
header > .m-box dt,
header > .m-box dd li {
  font-size: 20px;
  padding: 12px 12px;
  position: relative;
 /* 範囲選択不可 */
 -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none;
}
header > .m-box dt a {
  vertical-align: baseline;
}

/* リンクがあるものは下線を引く */
header > .m-box [onclick^="mv"] a {
  padding: 0 8px;
  display: inline-block;
}
header > .m-box [onclick^="mv"] a::after {
 text-align: center;
 display: block;
 content: '';
 width: 0;
 height: 1px;
 background-color: #ffffff;
 margin: -3px 0 0 0;
 transition: .25s ease-out;
 -webkit-transition: .25s ease-out;
 -moz-transition: .25s ease-out;
 -o-transition: .25s ease-out;
 -ms-transition: .25s ease-out;
}
header > .m-box [onclick^="mv"]:hover a::after {
  width: 100%;
}

/* ドロップダウンメニュー */
header > .m-box dd {
  border-radius: 0 0 6px 6px;
  height: 0;
  overflow: hidden;
  position: absolute;
  width: 190px;
  z-index: 3;
  transition: .25s ease-out;
  -webkit-transition: .25s ease-out;
  -moz-transition: .25s ease-out;
  -o-transition: .25s ease-out;
  -ms-transition: .25s ease-out;
}
header > .m-box dd li~li { border-top: 1px solid; }

/* ホバーでドロップダウンメニューがにょきっと伸びる ※li数x100%を指定する ...cssだけでもっとうまくやれんか？ */
header > .m-box dl:hover dd:has(li:nth-of-type(1)) { height: 100%; }
header > .m-box dl:hover dd:has(li:nth-of-type(2)) { height: 200%; }
header > .m-box dl:hover dd:has(li:nth-of-type(3)) { height: 300%; }
header > .m-box dl:hover dd:has(li:nth-of-type(4)) { height: 400%; }
header > .m-box dl:hover dd:has(li:nth-of-type(5)) { height: 500%; }
header > .m-box dl:hover dd:has(li:nth-of-type(6)) { height: 600%; }
header > .m-box dl:hover dd:has(li:nth-of-type(7)) { height: 700%; }
header > .m-box dl:hover dd:has(li:nth-of-type(8)) { height: 800%; }
header > .m-box dl:hover dd:has(li:nth-of-type(9)) { height: 900%; }


[data-jsp-path*="shop"] header > .m-box dl:not(:hover) dt[onclick*="shop"],
[data-jsp-path*="ticket"] header > .m-box dl:not(:hover) dt[onclick*="ticket"],
[data-jsp-path*="dist"] header > .m-box dl:not(:hover) dt[onclick*="dist"]
  { background-color: var(--tea-br); }